Get Scaleway Credential Details
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}import requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"region": "fr-par",
"namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"namespaceName": "production-registry",
"registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
"description": "Production registry",
"createdAt": "2026-03-17T10:30:00.000Z",
"updatedAt": "2026-03-17T10:30:00.000Z"
}
}
Scaleway
Get Scaleway Credential Details
Get details of a specific Scaleway Container Registry credential
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
/
{credentialId}
Get Scaleway Credential Details
Path Parameters
The UUID of the project
The UUID of the stored credential
Authorization
Requiresread permission on the project.
Response
Whether the request succeeded
Show Credential Object
Show Credential Object
Credential UUID
Scaleway region
Scaleway namespace UUID
Namespace name
Registry endpoint URL
Credential description
ISO 8601 creation timestamp
ISO 8601 last update timestamp
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"region": "fr-par",
"namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"namespaceName": "production-registry",
"registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
"description": "Production registry",
"createdAt": "2026-03-17T10:30:00.000Z",
"updatedAt": "2026-03-17T10:30:00.000Z"
}
}
Secret keys are never returned in API responses. Credentials are stored with AES-256-GCM encryption at rest.
⌘I